# Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.updateProperties

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/updateProperties#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/updateProperties#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/updateProperties#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/updateProperties#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/updateProperties#body.aspect)

Updates namespace properties.

### HTTP request

`PATCH https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{name=projects/*/catalogs/*/namespaces/*}/properties`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The namespace to update. The namespace's `name` field is used to identify the namespace to update. Format: projects/{projectId}/catalogs/{catalogId}/namespaces/{namespace} |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/IcebergNamespaceUpdate`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/UpdateIcebergNamespaceResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).